Bug 155938 - Unbreak sysutils/pftop on 9.X
Summary: Unbreak sysutils/pftop on 9.X
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Florian Smeets
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-25 23:00 UTC by Fabian Keil
Modified: 2012-02-14 17:10 UTC (History)
0 users

See Also:


Attachments
file.diff (673 bytes, patch)
2011-03-25 23:00 UTC, Fabian Keil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Keil 2011-03-25 23:00:24 UTC
sysutils/pftop has recently been marked as broken for 9.X,
the attached patch unbreaks it again.

I only tested it on 9.0-CURRENT amd64, but I expect it to
continue working on other versions, too.

Fix: Patch attached with submission follows:
How-To-Repeat: Try to build the port on 9.0-CURRENT.
Comment 1 Edwin Groothuis freebsd_committer 2011-03-25 23:00:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mlaier

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Thomas Steen Rasmussen / Tykling 2012-01-22 21:18:43 UTC
Hello,

Just wanted to let you know I tested the
patch but it does not work on my 9-stable
system, I have included the error below:

-------------------------------------------------------------------------------
$ sudo make
===>  Building for pftop-0.7_2
Warning: Object directory not changed from original
/usr/ports/sysutils/pftop/work/pftop-0.7
cc -O2 -pipe -fno-omit-frame-pointer -DHAVE_ALTQ=1 -DHAVE_SNPRINTF=1
-DHAVE_VSNPRINTF=1 -fno-strict-aliasing  -Wall -DOS_LEVEL=45 -std=gnu99
-fstack-protector  -c pftop.c
pftop.c: In function 'sort_addr_callback':
pftop.c:556: error: 'pf_state_t' has no member named 'lan'
pftop.c:558: error: 'pf_state_t' has no member named 'ext'
pftop.c:562: error: 'pf_state_t' has no member named 'lan'
pftop.c:564: error: 'pf_state_t' has no member named 'ext'
pftop.c:567: error: dereferencing pointer to incomplete type
pftop.c:567: error: dereferencing pointer to incomplete type
pftop.c:571: error: dereferencing pointer to incomplete type
pftop.c:571: error: dereferencing pointer to incomplete type
pftop.c:571: error: dereferencing pointer to incomplete type
pftop.c:571: error: dereferencing pointer to incomplete type
pftop.c:571: error: dereferencing pointer to incomplete type
pftop.c:571: error: dereferencing pointer to incomplete type
pftop.c:571: error: dereferencing pointer to incomplete type
pftop.c:571: error: dereferencing pointer to incomplete type
pftop.c: In function 'sort_port_callback':
pftop.c:608: error: 'pf_state_t' has no member named 'lan'
pftop.c:610: error: 'pf_state_t' has no member named 'ext'
pftop.c:614: error: 'pf_state_t' has no member named 'lan'
pftop.c:616: error: 'pf_state_t' has no member named 'ext'
pftop.c:619: error: dereferencing pointer to incomplete type
pftop.c:619: error: dereferencing pointer to incomplete type
pftop.c:619: error: dereferencing pointer to incomplete type
pftop.c:619: error: dereferencing pointer to incomplete type
pftop.c:619: error: dereferencing pointer to incomplete type
pftop.c:619: error: dereferencing pointer to incomplete type
pftop.c:619: error: dereferencing pointer to incomplete type
pftop.c:619: error: dereferencing pointer to incomplete type
pftop.c:621: error: dereferencing pointer to incomplete type
pftop.c:621: error: dereferencing pointer to incomplete type
pftop.c:621: error: dereferencing pointer to incomplete type
pftop.c:621: error: dereferencing pointer to incomplete type
pftop.c:621: error: dereferencing pointer to incomplete type
pftop.c:621: error: dereferencing pointer to incomplete type
pftop.c:621: error: dereferencing pointer to incomplete type
pftop.c:621: error: dereferencing pointer to incomplete type
pftop.c:624: error: dereferencing pointer to incomplete type
pftop.c:624: error: dereferencing pointer to incomplete type
pftop.c: In function 'read_states':
pftop.c:740: warning: pointer targets in passing argument 2 of
'bpf_filter' differ in signedness
pftop.c: In function 'print_fld_host':
pftop.c:872: error: dereferencing pointer to incomplete type
pftop.c:872: error: dereferencing pointer to incomplete type
pftop.c:872: error: dereferencing pointer to incomplete type
pftop.c:872: error: dereferencing pointer to incomplete type
pftop.c:883: error: dereferencing pointer to incomplete type
pftop.c: In function 'print_state':
pftop.c:964: error: 'pf_state_t' has no member named 'lan'
pftop.c:965: error: 'pf_state_t' has no member named 'ext'
pftop.c:967: error: 'pf_state_t' has no member named 'ext'
pftop.c:968: error: 'pf_state_t' has no member named 'lan'
pftop.c:971: error: 'pf_state_t' has no member named 'lan'
pftop.c:971: error: 'pf_state_t' has no member named 'gwy'
pftop.c:971: error: 'pf_state_t' has no member named 'lan'
pftop.c:971: error: 'pf_state_t' has no member named 'gwy'
pftop.c:971: error: 'pf_state_t' has no member named 'lan'
pftop.c:971: error: 'pf_state_t' has no member named 'gwy'
pftop.c:971: error: 'pf_state_t' has no member named 'lan'
pftop.c:971: error: 'pf_state_t' has no member named 'gwy'
pftop.c:971: error: 'pf_state_t' has no member named 'lan'
pftop.c:971: error: 'pf_state_t' has no member named 'gwy'
pftop.c:972: error: 'pf_state_t' has no member named 'lan'
pftop.c:972: error: 'pf_state_t' has no member named 'gwy'
pftop.c:973: error: 'pf_state_t' has no member named 'gwy'
pftop.c: In function 'print_rule':
pftop.c:1478: error: 'struct pf_rule' has no member named 'states'
*** Error code 1

Stop in /usr/ports/sysutils/pftop/work/pftop-0.7.
*** Error code 1

Stop in /usr/ports/sysutils/pftop.
-------------------------------------------------------------------------------

Let me know if I can help test any other pathes. I am
interested in getting pftop to work on 9.x.


Best regards,

Thomas Steen Rasmussen
Comment 3 Fabian Keil 2012-01-23 16:38:37 UTC
Thomas Steen Rasmussen <thomas@gibfest.dk> wrote:

> Just wanted to let you know I tested the
> patch but it does not work on my 9-stable
> system, I have included the error below:
> 
> -------------------------------------------------------------------------------
> $ sudo make
> ===>  Building for pftop-0.7_2
> Warning: Object directory not changed from original
> /usr/ports/sysutils/pftop/work/pftop-0.7
> cc -O2 -pipe -fno-omit-frame-pointer -DHAVE_ALTQ=1 -DHAVE_SNPRINTF=1
> -DHAVE_VSNPRINTF=1 -fno-strict-aliasing  -Wall -DOS_LEVEL=45 -std=gnu99
> -fstack-protector  -c pftop.c
> pftop.c: In function 'sort_addr_callback':
> pftop.c:556: error: 'pf_state_t' has no member named 'lan'


Thanks for testing and reporting back.

Please try again after running "make clean".

It's important that the "patch" target is executed, but it looks
like you are skipping it, which could indicate leftovers from a
previous build attempt in the past.

Fabian
Comment 4 Thomas Steen Rasmussen / Tykling 2012-01-23 18:40:37 UTC
On 23.01.2012 17:38, Fabian Keil wrote:
> Thomas Steen Rasmussen <thomas@gibfest.dk> wrote:
>
>> Just wanted to let you know I tested the
>> patch but it does not work on my 9-stable
>> system, I have included the error below:
>>
>> -------------------------------------------------------------------------------
>> $ sudo make
>> ===>  Building for pftop-0.7_2
>> Warning: Object directory not changed from original
>> /usr/ports/sysutils/pftop/work/pftop-0.7
>> cc -O2 -pipe -fno-omit-frame-pointer -DHAVE_ALTQ=1 -DHAVE_SNPRINTF=1
>> -DHAVE_VSNPRINTF=1 -fno-strict-aliasing  -Wall -DOS_LEVEL=45 -std=gnu99
>> -fstack-protector  -c pftop.c
>> pftop.c: In function 'sort_addr_callback':
>> pftop.c:556: error: 'pf_state_t' has no member named 'lan'
> Thanks for testing and reporting back.
>
> Please try again after running "make clean".
>
> It's important that the "patch" target is executed, but it looks
> like you are skipping it, which could indicate leftovers from a
> previous build attempt in the past.
>
> Fabian
Hello,

You are absolutely right, that was the problem, it compiles now.
It works perfectly on a couple of carp / pfsync routers/firewalls.

Thanks a lot, and sorry for the noise!

Best regards

Thomas Steen Rasmussen
Comment 5 Philip M. Gollucci freebsd_committer 2012-02-10 02:25:03 UTC
State Changed
From-To: open->closed

Bad PR
Comment 6 Fabian Keil 2012-02-10 11:20:26 UTC
pgollucci@FreeBSD.org wrote:

> Synopsis: Unbreak sysutils/pftop on 9.X
> 
> State-Changed-From-To: open->closed
> State-Changed-By: pgollucci
> State-Changed-When: Fri Feb 10 02:25:03 UTC 2012
> State-Changed-Why: 
> Bad PR
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=155938


Are you sure you closed the right PR?

Fabian
Comment 7 Florian Smeets freebsd_committer 2012-02-14 16:33:54 UTC
State Changed
From-To: closed->open

I'll take care of it. 


Comment 8 Florian Smeets freebsd_committer 2012-02-14 16:33:54 UTC
Responsible Changed
From-To: mlaier->flo

I'll take care of it.
Comment 9 dfilter service freebsd_committer 2012-02-14 17:07:16 UTC
flo         2012-02-14 17:07:07 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/pftop       Makefile 
  Added files:
    sysutils/pftop/files extra-patch-cache.c extra-patch-cache.h 
                         extra-patch-config.h extra-patch-engine.c 
                         extra-patch-pftop.c 
                         extra-patch-sf-gencode.c 
  Log:
  unbreak on >= 9.0
  
  PR:             ports/155938
  Submitted by:   Fabian Keil <fk@fabiankeil.de>
  Approved by:    maintainer timeout (46 weeks)
  
  Revision  Changes    Path
  1.18      +11 -5     ports/sysutils/pftop/Makefile
  1.1       +68 -0     ports/sysutils/pftop/files/extra-patch-cache.c (new)
  1.1       +24 -0     ports/sysutils/pftop/files/extra-patch-cache.h (new)
  1.1       +24 -0     ports/sysutils/pftop/files/extra-patch-config.h (new)
  1.1       +13 -0     ports/sysutils/pftop/files/extra-patch-engine.c (new)
  1.1       +420 -0    ports/sysutils/pftop/files/extra-patch-pftop.c (new)
  1.1       +352 -0    ports/sysutils/pftop/files/extra-patch-sf-gencode.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Florian Smeets freebsd_committer 2012-02-14 17:08:47 UTC
State Changed
From-To: open->closed

Committed. Thanks!